import React from "react";

// see https://uxwing.com/

export const SVG_X = (
  <svg viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
    <path
      fillRule="evenodd"
      d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
      clipRule="evenodd"
    />
  </svg>
);

const collex = (rotate: boolean) => (
  <svg
    viewBox="0 0 122.88 66.91"
    fill="currentColor"
    aria-hidden="true"
    transform={rotate ? "rotate(180)" : undefined}
  >
    <path d="M11.68,64.96c-2.72,2.65-7.08,2.59-9.73-0.14c-2.65-2.72-2.59-7.08,0.13-9.73L56.87,1.97l4.8,4.93l-4.81-4.95 c2.74-2.65,7.1-2.58,9.76,0.15c0.08,0.08,0.15,0.16,0.23,0.24L120.8,55.1c2.72,2.65,2.78,7.01,0.13,9.73 c-2.65,2.72-7,2.78-9.73,0.14L61.65,16.5L11.68,64.96L11.68,64.96z" />
  </svg>
);

export const SVG_COLLAPSE = collex(false);

export const SVG_EXPAND = collex(true);

export const SVG_RULES = (
  <svg viewBox="0 0 103.19 122.88" fill="currentColor">
    <path
      d="M17.16 0h82.72a3.32 3.32 0 013.31 3.31v92.32c-.15 2.58-3.48 2.64-7.08 2.48H15.94c-4.98 0-9.05 4.07-9.05 9.05s4.07 9.05 9.05 9.05h80.17v-9.63h7.08v12.24c0 2.23-1.82 4.05-4.05 4.05H16.29C7.33 122.88 0 115.55 0 106.59V17.16C0 7.72 7.72 0 17.16 0zm3.19 13.4h2.86c1.46 0 2.66.97 2.66 2.15v67.47c0 1.18-1.2 2.15-2.66 2.15h-2.86c-1.46 0-2.66-.97-2.66-2.15V15.55c.01-1.19 1.2-2.15 2.66-2.15z"
      fillRule="evenodd"
    />
  </svg>
);

export const SVG_SETTINGS = (
  <svg viewBox="0 0 122.88 122.878" fill="currentColor">
    <path
      fillRule="evenodd"
      d="M101.589,14.7l8.818,8.819c2.321,2.321,2.321,6.118,0,8.439l-7.101,7.101 c1.959,3.658,3.454,7.601,4.405,11.752h9.199c3.283,0,5.969,2.686,5.969,5.968V69.25c0,3.283-2.686,5.969-5.969,5.969h-10.039 c-1.231,4.063-2.992,7.896-5.204,11.418l6.512,6.51c2.321,2.323,2.321,6.12,0,8.44l-8.818,8.819c-2.321,2.32-6.119,2.32-8.439,0 l-7.102-7.102c-3.657,1.96-7.601,3.456-11.753,4.406v9.199c0,3.282-2.685,5.968-5.968,5.968H53.629 c-3.283,0-5.969-2.686-5.969-5.968v-10.039c-4.063-1.232-7.896-2.993-11.417-5.205l-6.511,6.512c-2.323,2.321-6.12,2.321-8.441,0 l-8.818-8.818c-2.321-2.321-2.321-6.118,0-8.439l7.102-7.102c-1.96-3.657-3.456-7.6-4.405-11.751H5.968 C2.686,72.067,0,69.382,0,66.099V53.628c0-3.283,2.686-5.968,5.968-5.968h10.039c1.232-4.063,2.993-7.896,5.204-11.418l-6.511-6.51 c-2.321-2.322-2.321-6.12,0-8.44l8.819-8.819c2.321-2.321,6.118-2.321,8.439,0l7.101,7.101c3.658-1.96,7.601-3.456,11.753-4.406 V5.969C50.812,2.686,53.498,0,56.78,0h12.471c3.282,0,5.968,2.686,5.968,5.969v10.036c4.064,1.231,7.898,2.992,11.422,5.204 l6.507-6.509C95.471,12.379,99.268,12.379,101.589,14.7L101.589,14.7z M61.44,36.92c13.54,0,24.519,10.98,24.519,24.519 c0,13.538-10.979,24.519-24.519,24.519c-13.539,0-24.519-10.98-24.519-24.519C36.921,47.9,47.901,36.92,61.44,36.92L61.44,36.92z"
    />
  </svg>
);

export const SVG_FAQ = (
  <svg viewBox="0 0 122.88 116.6" fill="currentColor">
    <path d="M17.72,45.43V21.12h16.8v5.32H24.21v4.18h9.28v5.31H24.21v9.5ZM16.67,0h66.5A16.7,16.7,0,0,1,99.84,16.67V51.36A16.7,16.7,0,0,1,83.17,68H45.46L20.16,89.78a2.81,2.81,0,0,1-4.62-2.31L16.89,68h-.22A16.7,16.7,0,0,1,0,51.36V16.67A16.7,16.7,0,0,1,16.67,0Zm93,24.65a16.42,16.42,0,0,1,13.26,16V77.85a16.37,16.37,0,0,1-16.33,16.32H106L107.34,114h0a2.46,2.46,0,0,1-4,2L77.89,93.53H38.26L54.74,76.77H95.82a13.9,13.9,0,0,0,13.85-13.86V25.75c0-.37,0-.74,0-1.1Zm-26.46-19H16.67a11.1,11.1,0,0,0-11,11.05V51.36a11.1,11.1,0,0,0,11.05,11h3.42a2.8,2.8,0,0,1,2.6,3L21.6,81.17l20.87-18a2.79,2.79,0,0,1,2-.81H83.16a11.1,11.1,0,0,0,11-11V16.67a11.1,11.1,0,0,0-11-11Zm-43,39.81h-7L41,21.12h8.87l7.88,24.31h-7L45.53,27.82h-.19L40.12,45.43Zm-1.31-9.59H52v4.94H38.81V35.84Zm29.35.57h5L75,38.74l3.08,3.55,4,5H76.37l-2.84-3.37-1.92-2.81-3.45-4.65Zm13.91-3.13a13.84,13.84,0,0,1-1.56,6.84,10.36,10.36,0,0,1-4.19,4.21,12.78,12.78,0,0,1-11.77,0,10.45,10.45,0,0,1-4.18-4.23,13.83,13.83,0,0,1-1.54-6.81,13.89,13.89,0,0,1,1.54-6.84,10.42,10.42,0,0,1,4.18-4.22,12.82,12.82,0,0,1,11.77,0,10.45,10.45,0,0,1,4.19,4.22,13.78,13.78,0,0,1,1.56,6.84Zm-6.68,0a10.35,10.35,0,0,0-.57-3.68,4.75,4.75,0,0,0-1.66-2.29,5.17,5.17,0,0,0-5.43,0,4.83,4.83,0,0,0-1.67,2.29,10.59,10.59,0,0,0-.56,3.68A10.63,10.63,0,0,0,66.06,37a4.8,4.8,0,0,0,1.67,2.28,5.12,5.12,0,0,0,5.43,0A4.72,4.72,0,0,0,74.82,37a10.38,10.38,0,0,0,.57-3.68Z" />
  </svg>
);
